Package org.apache.tapestry5.internal.spring

# Class TapestryBeanFactory

java.lang.Object
org.springframework.core.SimpleAliasRegistry
org.springframework.beans.factory.support.DefaultSingletonBeanRegistry
org.springframework.beans.factory.support.FactoryBeanRegistrySupport
org.springframework.beans.factory.support.AbstractBeanFactory
org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory
org.springframework.beans.factory.support.DefaultListableBeanFactory
org.apache.tapestry5.internal.spring.TapestryBeanFactory

All Implemented Interfaces:
  `Serializable`, `org.springframework.beans.factory.BeanFactory`, `org.springframework.beans.factory.config.AutowireCapableBeanFactory`, `org.springframework.beans.factory.config.ConfigurableBeanFactory`, `org.springframework.beans.factory.config.ConfigurableListableBeanFactory`, `org.springframework.beans.factory.config.SingletonBeanRegistry`, `org.springframework.beans.factory.HierarchicalBeanFactory`, `org.springframework.beans.factory.ListableBeanFactory`, `org.springframework.beans.factory.support.BeanDefinitionRegistry`, `org.springframework.core.AliasRegistry`

public class TapestryBeanFactory extends org.springframework.beans.factory.support.DefaultListableBeanFactory
Identifies dependencies whose field or method parameter contains the `Inject` or `InjectService` annotations and, if so, invokes `ObjectLocator.getObject(Class, org.apache.tapestry5.commons.AnnotationProvider)` to provide the value.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.springframework.beans.factory.support.DefaultSingletonBeanRegistry

  `logger, NULL_OBJECT`

  ### Fields inherited from interface org.springframework.beans.factory.config.AutowireCapableBeanFactory

  `AUTOWIRE_AUTODETECT, AUTOWIRE_BY_NAME, AUTOWIRE_BY_TYPE, AUTOWIRE_CONSTRUCTOR, AUTOWIRE_NO`

  ### Fields inherited from interface org.springframework.beans.factory.BeanFactory

  `FACTORY_BEAN_PREFIX`

  ### Fields inherited from interface org.springframework.beans.factory.config.ConfigurableBeanFactory

  `SCOPE_PROTOTYPE, SCOPE_SINGLETON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapestryBeanFactory(org.springframework.beans.factory.BeanFactory parentBeanFactory, Registry registry)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `resolveDependency(org.springframework.beans.factory.config.DependencyDescriptor descriptor, String beanName, Set autowiredBeanNames, org.springframework.beans.TypeConverter typeConverter)`

  ### Methods inherited from class org.springframework.beans.factory.support.DefaultListableBeanFactory

  `allowAliasOverriding, containsBeanDefinition, copyConfigurationFrom, destroySingleton, determinePrimaryCandidate, doResolveDependency, findAnnotationOnBean, findAutowireCandidates, freezeConfiguration, getAutowireCandidateResolver, getBean, getBeanDefinition, getBeanDefinitionCount, getBeanDefinitionNames, getBeanNamesForType, getBeanNamesForType, getBeansOfType, getBeansOfType, getBeansWithAnnotation, isAutowireCandidate, isAutowireCandidate, isBeanEligibleForMetadataCaching, isConfigurationFrozen, isPrimary, matchesBeanName, preInstantiateSingletons, registerBeanDefinition, registerResolvableDependency, registerSingleton, removeBeanDefinition, resetBeanDefinition, setAllowBeanDefinitionOverriding, setAllowEagerClassLoading, setAutowireCandidateResolver, setSerializationId, toString, writeReplace`

  ### Methods inherited from class org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory

  `applyBeanPostProcessorsAfterInitialization, applyBeanPostProcessorsBeforeInitialization, applyBeanPostProcessorsBeforeInstantiation, applyBeanPropertyValues, applyMergedBeanDefinitionPostProcessors, applyPropertyValues, autowire, autowireBean, autowireBeanProperties, autowireByName, autowireByType, autowireConstructor, checkDependencies, configureBean, createBean, createBean, createBean, createBeanInstance, determineConstructorsFromBeanPostProcessors, doCreateBean, filterPropertyDescriptorsForDependencyCheck, filterPropertyDescriptorsForDependencyCheck, getEarlyBeanReference, getInstantiationStrategy, getParameterNameDiscoverer, getTypeForFactoryBean, getTypeForFactoryMethod, ignoreDependencyInterface, ignoreDependencyType, initializeBean, initializeBean, instantiateBean, instantiateUsingFactoryMethod, invokeCustomInitMethod, invokeInitMethods, isExcludedFromDependencyCheck, populateBean, postProcessObjectFromFactoryBean, predictBeanType, removeSingleton, resolveBeforeInstantiation, resolveDependency, setAllowCircularReferences, setAllowRawInjectionDespiteWrapping, setInstantiationStrategy, setParameterNameDiscoverer, unsatisfiedNonSimpleProperties`

  ### Methods inherited from class org.springframework.beans.factory.support.AbstractBeanFactory

  `addBeanPostProcessor, addEmbeddedValueResolver, addPropertyEditorRegistrar, afterPrototypeCreation, beforePrototypeCreation, checkMergedBeanDefinition, cleanupAfterBeanCreationFailure, clearMergedBeanDefinition, containsBean, containsLocalBean, copyRegisteredEditorsTo, destroyBean, destroyBean, destroyScopedBean, doGetBean, evaluateBeanDefinitionString, getAccessControlContext, getAliases, getBean, getBean, getBean, getBean, getBeanClassLoader, getBeanExpressionResolver, getBeanPostProcessorCount, getBeanPostProcessors, getConversionService, getCustomEditors, getCustomTypeConverter, getMergedBeanDefinition, getMergedBeanDefinition, getMergedBeanDefinition, getMergedLocalBeanDefinition, getObjectForBeanInstance, getParentBeanFactory, getPropertyEditorRegistrars, getRegisteredScope, getRegisteredScopeNames, getTempClassLoader, getType, getTypeConverter, hasDestructionAwareBeanPostProcessors, hasInstantiationAwareBeanPostProcessors, initBeanWrapper, isActuallyInCreation, isBeanNameInUse, isCacheBeanMetadata, isFactoryBean, isFactoryBean, isPrototype, isPrototypeCurrentlyInCreation, isSingleton, isTypeMatch, markBeanAsCreated, originalBeanName, registerCustomEditor, registerCustomEditors, registerDisposableBeanIfNecessary, registerScope, removeSingletonIfCreatedForTypeCheckOnly, requiresDestruction, resolveBeanClass, resolveEmbeddedValue, setBeanClassLoader, setBeanExpressionResolver, setCacheBeanMetadata, setConversionService, setParentBeanFactory, setSecurityContextProvider, setTempClassLoader, setTypeConverter, transformedBeanName`

  ### Methods inherited from class org.springframework.beans.factory.support.FactoryBeanRegistrySupport

  `getCachedObjectForFactoryBean, getFactoryBean, getObjectFromFactoryBean, getTypeForFactoryBean`

  ### Methods inherited from class org.springframework.beans.factory.support.DefaultSingletonBeanRegistry

  `addSingleton, addSingletonFactory, afterSingletonCreation, beforeSingletonCreation, containsSingleton, destroyBean, destroySingletons, getDependenciesForBean, getDependentBeans, getSingleton, getSingleton, getSingleton, getSingletonCount, getSingletonMutex, getSingletonNames, hasDependentBean, isCurrentlyInCreation, isSingletonCurrentlyInCreation, onSuppressedException, registerContainedBean, registerDependentBean, registerDisposableBean, setCurrentlyInCreation`

  ### Methods inherited from class org.springframework.core.SimpleAliasRegistry

  `canonicalName, checkForAliasCircle, isAlias, registerAlias, removeAlias, resolveAliases`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.springframework.core.AliasRegistry

  `getAliases, isAlias, registerAlias, removeAlias`

  ### Methods inherited from interface org.springframework.beans.factory.config.AutowireCapableBeanFactory

  `applyBeanPostProcessorsAfterInitialization, applyBeanPostProcessorsBeforeInitialization, applyBeanPropertyValues, autowire, autowireBean, autowireBeanProperties, configureBean, createBean, createBean, initializeBean, resolveDependency`

  ### Methods inherited from interface org.springframework.beans.factory.support.BeanDefinitionRegistry

  `isBeanNameInUse`

  ### Methods inherited from interface org.springframework.beans.factory.BeanFactory

  `containsBean, getAliases, getBean, getBean, getBean, getType, isPrototype, isSingleton, isTypeMatch`

  ### Methods inherited from interface org.springframework.beans.factory.config.ConfigurableBeanFactory

  `addBeanPostProcessor, addEmbeddedValueResolver, addPropertyEditorRegistrar, copyRegisteredEditorsTo, destroyBean, destroyScopedBean, destroySingletons, getAccessControlContext, getBeanClassLoader, getBeanExpressionResolver, getBeanPostProcessorCount, getConversionService, getDependenciesForBean, getDependentBeans, getMergedBeanDefinition, getRegisteredScope, getRegisteredScopeNames, getTempClassLoader, getTypeConverter, isCacheBeanMetadata, isCurrentlyInCreation, isFactoryBean, registerAlias, registerCustomEditor, registerDependentBean, registerScope, resolveAliases, resolveEmbeddedValue, setBeanClassLoader, setBeanExpressionResolver, setCacheBeanMetadata, setConversionService, setCurrentlyInCreation, setParentBeanFactory, setTempClassLoader, setTypeConverter`

  ### Methods inherited from interface org.springframework.beans.factory.config.ConfigurableListableBeanFactory

  `ignoreDependencyInterface, ignoreDependencyType`

  ### Methods inherited from interface org.springframework.beans.factory.HierarchicalBeanFactory

  `containsLocalBean, getParentBeanFactory`

  ### Methods inherited from interface org.springframework.beans.factory.config.SingletonBeanRegistry

  `containsSingleton, getSingleton, getSingletonCount, getSingletonNames`

- ## Constructor Details

  - ### TapestryBeanFactory

    public TapestryBeanFactory(org.springframework.beans.factory.BeanFactory parentBeanFactory, Registry registry)

- ## Method Details

  - ### resolveDependency

    public Object resolveDependency(org.springframework.beans.factory.config.DependencyDescriptor descriptor, String beanName, Set autowiredBeanNames, org.springframework.beans.TypeConverter typeConverter) throws org.springframework.beans.BeansException
    Specified by:
      `resolveDependency` in interface `org.springframework.beans.factory.config.AutowireCapableBeanFactory`
    Overrides:
      `resolveDependency` in class `org.springframework.beans.factory.support.DefaultListableBeanFactory`
    Throws:
      `org.springframework.beans.BeansException`